域名历史记录
检索在特定 PIVX name 上执行的操作(例如注册和更新)的历史日志。
端点
POST https://indexer.pivx.name/v1.0/history/richard.pivx
路径参数
| 参数 | 类型 | 必填 | 描述 |
|---|---|---|---|
domain_name | string | 是的 | 要查询历史记录的 PIVX 域(例如 richard.pivx)。 |
请求正文
请求正文必须是包含以下参数的 JSON 对象:
| 参数 | 类型 | 默认 | 描述 |
|---|---|---|---|
count | integer | 无 | 限制单个响应中返回的最大项目数。 |
from_block_id | integer | 无 | 请求从该特定块高度开始的历史日志。 |
order | string | desc | 历史日志的排序顺序。接受的值:asc 或 desc。 |
代码示例
- cURL
- JavaScript
- Python
- PHP
curl -X POST https://indexer.pivx.name/v1.0/history/richard.pivx \
-H "Content-Type: application/json" \
-d '{
"count": 10,
"from_block_id": 5332579,
"order": "asc"
}'
const url = 'https://indexer.pivx.name/v1.0/history/richard.pivx';
const data = {
count: 10,
from_block_id: 5332579,
order: 'asc'
};
fetch(url, {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify(data)
})
.then(response => response.json())
.then(result => console.log(result))
.catch(error => console.error('Error:', error));
import requests
url = "https://indexer.pivx.name/v1.0/history/richard.pivx"
payload = {
"count": 10,
"from_block_id": 5332579,
"order": "asc"
}
headers = {
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
<?php
$url = 'https://indexer.pivx.name/v1.0/history/richard.pivx';
$data = [
'count' => 10,
'from_block_id' => 5332579,
'order' => 'asc'
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Content-Type: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);
$result = json_decode($response, true);
print_r($result);
响应示例
{
"response": [
{
"domain_block_id": 5432577,
"target_address": "ps12qtzaw6x3dh35xuukrqgk06e9ffx8szg2n2huqncwjsnj3ajczmklqgcx97kn63vwlge6gj2cmn",
"owner_pubkey": "3757ee1a8b3f10353ca6edd47b66920392b02e323dca3f3edddb5de142079a53",
"domain_tx": "5c16fa577b95d76fd54b11d4076a0509f45bc468c6a69f9e8f524b4f98d76635",
"op": "REG",
"nonce": 1780049890835,
"price": 0
},
{
"domain_block_id": 5432579,
"target_address": "ps1a5dvcrw8k49tcmmsmfh2d5cthhamfrxue4h3ervww2z625qwyarcflpznaxlalwk7trkyxas4ln",
"owner_pubkey": "3757ee1a8b3f10353ca6edd47b66920392b02e323dca3f3edddb5de142079a53",
"domain_tx": "d39bb4aeb116449cfcd9a40ff5a437b5b6957a62531e3dcf170bccf62816edf7",
"op": "UPD",
"nonce": 1780050207591,
"price": 0
},
{
"domain_block_id": 5434368,
"target_address": "ps1a5dvcrw8k49tcmmsmfh2d5cthhamfrxue4h3ervww2z625qwyarcflpznaxlalwk7trkyxas4ln",
"owner_pubkey": "3aa7910fa98101312acadc381af1fa72157a9d8dcce6c62655c7b4e9a69e2b32",
"domain_tx": "15395cac30c9a5f82374b26f4c9214669c7f828abe54a35ded530609057fd662",
"op": "CHG",
"nonce": 1780160609750,
"price": 0
}
]
}
| 领域 | 类型 | 描述 |
|---|---|---|
domain_block_id | 整数 | 操作的 PIVX block_id |
target_address | 字符串 | 正在解析 Shielded 地址 |
op | 字符串 | 对名称 |
owner_pubkey | 字符串 | 名称所有者的公钥 |
domain_tx | 字符串 | 名称注册的 PIVX tx_id |
nonce | 整数 | 增加操作的时间戳 |
price | 整数 | 域名的售价(LST 或 BUY),否则为 0 |